package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 涉密文件接收对象 td_file_receive
 *
 * @author ruoyi
 * @date 2024-05-16
 */
public class TdFileReceive extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 接收编号 */
    private Long receiveId;

    /** 文件编号 */
    @Excel(name = "文件编号")
    private String fileId;

    /** 文件名称 */
    @Excel(name = "文件名称")
    private String fileName;

    /** 发文单位 */
    @Excel(name = "发文单位")
    private String provideDepart;

    /** 发文日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发文日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date provideDate;

    /** 接收单位 */
    @Excel(name = "接收单位")
    private String receiveDepartid;

    /** 接收状态（1：已接收2：未接收） */
    @Excel(name = "接收状态", readConverterExp = "1=已接收,2=未接收")
    private String receiveState;

    /** 接收人员 */
    @Excel(name = "接收人员")
    private String receiveUserid;

    /** 接收日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "接收日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date receiveDate;

    /** 提取状态（1：已提取2：未提取） */
    @Excel(name = "提取状态", readConverterExp = "1=已提取,2=未提取")
    private String extractState;

    /** 提取单位 */
    @Excel(name = "提取单位")
    private String extractDepartid;

    /** 提取人员 */
    @Excel(name = "提取人员")
    private String extractUserid;

    /** 提取日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "提取日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date extractDate;

    /** 销毁状态 */
    @Excel(name = "销毁状态", readConverterExp = "1=已销毁,2=未销毁")
    private String destoryState;

    /** 销毁地点 */
    @Excel(name = "销毁地点")
    private String destoryAddress;

    /** 销毁部门 */
    @Excel(name = "销毁部门")
    private String destoryDepart;

    /** 销毁人员 */
    @Excel(name = "销毁人员")
    private String destoryUsername;

    /** 销毁方式 */
    @Excel(name = "销毁方式", readConverterExp = "1=自行销毁,2=保密局销毁")
    private String destoryStyle;

    /** 销毁数量 */
    @Excel(name = "销毁数量")
    private Long destoryCount;

    /** 销毁日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "销毁日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date destoryDate;

    @Override
    public String getRemark() {
        return remark;
    }

    @Override
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /** 备注 */
    @Excel(name = "备注")
    private String remark;

    public void setReceiveId(Long receiveId)
    {
        this.receiveId = receiveId;
    }

    public Long getReceiveId()
    {
        return receiveId;
    }
    public void setFileId(String fileId)
    {
        this.fileId = fileId;
    }

    public String getFileId()
    {
        return fileId;
    }
    public void setFileName(String fileName)
    {
        this.fileName = fileName;
    }

    public String getFileName()
    {
        return fileName;
    }
    public void setProvideDepart(String provideDepart)
    {
        this.provideDepart = provideDepart;
    }

    public String getProvideDepart()
    {
        return provideDepart;
    }
    public void setProvideDate(Date provideDate)
    {
        this.provideDate = provideDate;
    }

    public Date getProvideDate()
    {
        return provideDate;
    }
    public void setReceiveDepartid(String receiveDepartid)
    {
        this.receiveDepartid = receiveDepartid;
    }

    public String getReceiveDepartid()
    {
        return receiveDepartid;
    }
    public void setReceiveState(String receiveState)
    {
        this.receiveState = receiveState;
    }

    public String getReceiveState()
    {
        return receiveState;
    }
    public void setReceiveUserid(String receiveUserid)
    {
        this.receiveUserid = receiveUserid;
    }

    public String getReceiveUserid()
    {
        return receiveUserid;
    }
    public void setReceiveDate(Date receiveDate)
    {
        this.receiveDate = receiveDate;
    }

    public Date getReceiveDate()
    {
        return receiveDate;
    }
    public void setExtractState(String extractState)
    {
        this.extractState = extractState;
    }

    public String getExtractState()
    {
        return extractState;
    }
    public void setExtractDepartid(String extractDepartid)
    {
        this.extractDepartid = extractDepartid;
    }

    public String getExtractDepartid()
    {
        return extractDepartid;
    }
    public void setExtractUserid(String extractUserid)
    {
        this.extractUserid = extractUserid;
    }

    public String getExtractUserid()
    {
        return extractUserid;
    }
    public void setExtractDate(Date extractDate)
    {
        this.extractDate = extractDate;
    }

    public Date getExtractDate()
    {
        return extractDate;
    }
    public void setDestoryState(String destoryState)
    {
        this.destoryState = destoryState;
    }

    public String getDestoryState()
    {
        return destoryState;
    }
    public void setDestoryAddress(String destoryAddress)
    {
        this.destoryAddress = destoryAddress;
    }

    public String getDestoryAddress()
    {
        return destoryAddress;
    }
    public void setDestoryDepart(String destoryDepart)
    {
        this.destoryDepart = destoryDepart;
    }

    public String getDestoryDepart()
    {
        return destoryDepart;
    }
    public void setDestoryUsername(String destoryUsername)
    {
        this.destoryUsername = destoryUsername;
    }

    public String getDestoryUsername()
    {
        return destoryUsername;
    }
    public void setDestoryStyle(String destoryStyle)
    {
        this.destoryStyle = destoryStyle;
    }

    public String getDestoryStyle()
    {
        return destoryStyle;
    }
    public void setDestoryCount(Long destoryCount)
    {
        this.destoryCount = destoryCount;
    }

    public Long getDestoryCount()
    {
        return destoryCount;
    }
    public void setDestoryDate(Date destoryDate)
    {
        this.destoryDate = destoryDate;
    }

    public Date getDestoryDate()
    {
        return destoryDate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("receiveId", getReceiveId())
                .append("fileId", getFileId())
                .append("fileName", getFileName())
                .append("provideDepart", getProvideDepart())
                .append("provideDate", getProvideDate())
                .append("receiveDepartid", getReceiveDepartid())
                .append("receiveState", getReceiveState())
                .append("receiveUserid", getReceiveUserid())
                .append("receiveDate", getReceiveDate())
                .append("extractState", getExtractState())
                .append("extractDepartid", getExtractDepartid())
                .append("extractUserid", getExtractUserid())
                .append("extractDate", getExtractDate())
                .append("destoryState", getDestoryState())
                .append("destoryAddress", getDestoryAddress())
                .append("destoryDepart", getDestoryDepart())
                .append("destoryUsername", getDestoryUsername())
                .append("destoryStyle", getDestoryStyle())
                .append("destoryCount", getDestoryCount())
                .append("destoryDate", getDestoryDate())
                .append("remark", getRemark())
                .toString();
    }
}